it.csi.mddtools.guigen

## Interface MenuItem

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface MenuItem
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Menu Item'. OBSOLETO: non utilizzare (utilizzare Menu)

  The following features are supported:

  - `Name`
  - `Label`
  - `Event Handler`
  - `Security Constraints`
  See Also:
    `GuigenPackage.getMenuItem()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventHandler` | `getEventHandler()` Returns the value of the 'Event Handler' containment reference
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `org.eclipse.emf.common.util.EList<UISecurityConstraint>` | `getSecurityConstraints()` Returns the value of the 'Security Constraints' containment reference list.
    `void` | `setEventHandler(EventHandler value)` Sets the value of the '`Event Handler`' containment reference
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getMenuItem_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `GuigenPackage.getMenuItem_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getEventHandler

          EventHandler getEventHandler()

      Returns the value of the 'Event Handler' containment reference.

      If the meaning of the 'Event Handler' containment reference isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Event Handler' containment reference.
      See Also:
        `setEventHandler(EventHandler)`, `GuigenPackage.getMenuItem_EventHandler()`

    - #### setEventHandler

          void setEventHandler(EventHandler value)

      Sets the value of the '`Event Handler`' containment reference.
      Parameters:
        `value` - the new value of the 'Event Handler' containment reference.
      See Also:
        `getEventHandler()`

    - #### getSecurityConstraints

          org.eclipse.emf.common.util.EList<UISecurityConstraint> getSecurityConstraints()

      Returns the value of the 'Security Constraints' containment reference list. The list contents are of type `UISecurityConstraint`.

      If the meaning of the 'Security Constraints' containment reference list isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Security Constraints' containment reference list.
      See Also:
        `GuigenPackage.getMenuItem_SecurityConstraints()`